Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::HitQueueBase Class Referenceabstract

`#include <HitQueueBase.h>`

Inheritance diagram for Lucene::HitQueueBase:

## Public Member Functions

| HitQueueBase (int32_t size)
virtual | ~HitQueueBase ()
virtual String | getClassName ()
boost::shared_ptr< HitQueueBase > | shared_from_this ()
virtual ScoreDocPtr | add (ScoreDocPtr scoreDoc)
virtual ScoreDocPtr | addOverflow (ScoreDocPtr scoreDoc)
virtual ScoreDocPtr | top ()
virtual ScoreDocPtr | pop ()
virtual ScoreDocPtr | updateTop ()
virtual int32_t | size ()
virtual bool | empty ()
virtual void | clear ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Member Functions

virtual bool | lessThan (const ScoreDocPtr &first, const ScoreDocPtr &second)=0
virtual ScoreDocPtr | getSentinelObject ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

PriorityQueueScoreDocsPtr | queue
int32_t | queueSize

## Constructor & Destructor Documentation

Lucene::HitQueueBase::HitQueueBase | ( | int32_t | size) |  |

virtual Lucene::HitQueueBase::~HitQueueBase | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::HitQueueBase::_getClassName | ( | ) |  |

inline static

virtual ScoreDocPtr Lucene::HitQueueBase::add | ( | ScoreDocPtr | scoreDoc) |  |

virtual

virtual ScoreDocPtr Lucene::HitQueueBase::addOverflow | ( | ScoreDocPtr | scoreDoc) |  |

virtual

virtual void Lucene::HitQueueBase::clear | ( | ) |  |

virtual

virtual bool Lucene::HitQueueBase::empty | ( | ) |  |

virtual

virtual String Lucene::HitQueueBase::getClassName | ( | ) |  |

inline virtual

Reimplemented in Lucene::FieldValueHitQueue, and Lucene::HitQueue.

virtual ScoreDocPtr Lucene::HitQueueBase::getSentinelObject | ( | ) |  |

protected virtual

Reimplemented in Lucene::HitQueue.

virtual void Lucene::HitQueueBase::initialize | ( | ) |  |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

virtual bool Lucene::HitQueueBase::lessThan | ( | const ScoreDocPtr & | first,
|  | const ScoreDocPtr & | second
| ) |  |

protected pure virtual

Implemented in Lucene::HitQueue.

virtual ScoreDocPtr Lucene::HitQueueBase::pop | ( | ) |  |

virtual

boost::shared_ptr< HitQueueBase > Lucene::HitQueueBase::shared_from_this | ( | ) |  |

inline

virtual int32_t Lucene::HitQueueBase::size | ( | ) |  |

virtual

virtual ScoreDocPtr Lucene::HitQueueBase::top | ( | ) |  |

virtual

virtual ScoreDocPtr Lucene::HitQueueBase::updateTop | ( | ) |  |

virtual

## Field Documentation

PriorityQueueScoreDocsPtr Lucene::HitQueueBase::queue

protected

int32_t Lucene::HitQueueBase::queueSize

protected

The documentation for this class was generated from the following file:

- HitQueueBase.h

clucene.sourceforge.net